summaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorKozlov Dmitry <dima@server>2010-10-14 14:30:53 +0400
committerKozlov Dmitry <dima@server>2010-10-14 14:30:53 +0400
commit84ff56a83a9f6b29d3300aff13ede9afc73b5a68 (patch)
tree9284cb5b797dd7d68350cd937da11cc2f579114f /contrib
parent763fe9e3ba0faeea25cc423152a065900f901a53 (diff)
downloadaccel-ppp-84ff56a83a9f6b29d3300aff13ede9afc73b5a68.tar.gz
accel-ppp-84ff56a83a9f6b29d3300aff13ede9afc73b5a68.zip
due to libnl-1 is not thread safe, l2tp and shaper updated to use libnl-2
Diffstat (limited to 'contrib')
-rw-r--r--contrib/gentoo/dev-libs/libnl/libnl-9999.ebuild19
-rw-r--r--contrib/gentoo/net-dialup/accel-pptp/accel-pptp-9999.ebuild16
2 files changed, 32 insertions, 3 deletions
diff --git a/contrib/gentoo/dev-libs/libnl/libnl-9999.ebuild b/contrib/gentoo/dev-libs/libnl/libnl-9999.ebuild
new file mode 100644
index 0000000..56db00d
--- /dev/null
+++ b/contrib/gentoo/dev-libs/libnl/libnl-9999.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/polylib/polylib-9999.ebuild,v 1.1 2008/09/21 08:46:58 vapier Exp $
+
+EGIT_REPO_URI="git://git.kernel.org/pub/scm/libs/netlink/libnl.git"
+EGIT_BOOTSTRAP="eautoreconf"
+inherit git autotools eutils
+
+DESCRIPTION="Netlink library"
+HOMEPAGE="http://infradead.org/~tgr/libnl"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+src_install() {
+ emake DESTDIR=${D} install || die
+}
diff --git a/contrib/gentoo/net-dialup/accel-pptp/accel-pptp-9999.ebuild b/contrib/gentoo/net-dialup/accel-pptp/accel-pptp-9999.ebuild
index 06ae2b8..7632da8 100644
--- a/contrib/gentoo/net-dialup/accel-pptp/accel-pptp-9999.ebuild
+++ b/contrib/gentoo/net-dialup/accel-pptp/accel-pptp-9999.ebuild
@@ -14,11 +14,13 @@ HOMEPAGE="http://accel-pptp.sourceforge.net/"
SLOT="0"
LICENSE="GPL"
KEYWORDS="~amd64 ~x86"
-IUSE="postgres debug"
+IUSE="postgres debug l2tp shaper"
-DEPEND="dev-libs/openssl
+DEPEND=">=sys-libs/glibc-2.8
+ dev-libs/openssl
dev-libs/libaio
- dev-libs/libnl
+ l2tp? ( =dev-libs/libnl-9999 )
+ shaper? ( =dev-libs/libnl-9999 )
postgres? ( >=dev-db/postgresql-base-8.1 )"
RDEPEND="$DEPEND
@@ -47,6 +49,14 @@ src_configure() {
if use postgres; then
mycmakeargs+=( "-DLOG_PGSQL=TRUE" )
fi
+
+ if use l2tp; then
+ mycmakeargs+=( "-DL2TP=TRUE" )
+ fi
+
+ if use shaper; then
+ mycmakeargs+=( "-DSHAPER=TRUE" )
+ fi
cmake-utils_src_configure
}